<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
<!-- 
	<link rel="stylesheet" type="text/css" href="index.css">
 -->

 	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

	<title>Bootstrap Grid System</title>

</head>

<body class="text-center">
	<h1>Bootstrap Grid System</h1>

	<!-- 
			C.R.C rule: Declare a Container before Rows and Rows before Columns.

			<main class="container">
				<section class="row">
					<div class="col-6">content 1</div>
					<div class="col-6">content 2</div>
				</section>
			</main>
	-->

	<h2>Two Columns</h2>
	<div class="container-fluid">
		<h3>1:1 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">.col-6</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">.col-6</div>
		</div>
	</div>

	<div class="container-fluid">
		<h3>1:2 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">.col-4</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">.col-8</div>
		</div>
	</div>

	<h2>Three Columns</h2>
	<div class="container-fluid">
		<h3>1:2:1</h3>
		<div class="text-light row">
			<div class="bg-secondary pt-3 pb-3 border border-dark col-3">.col-3</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">.col-6</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-3">.col-3</div>
		</div>
	</div>

	<div class="container-fluid">
		<h3>Uneven Ratio</h3>
			<div class="text-light row">
			 	<div class="bg-secondary pt-3 pb-3 border border-dark col-3">.col-3</div>
			 	<div class="bg-primary pt-3 pb-3 border border-dark col-7">.col-7</div>
			 	<div class="bg-secondary pt-3 pb-3 border border-dark col-2">.col-2</div>
			</div>
	</div>

	<h2>Automatic Sizing</h2>

	<div class="container-fluid">
		<div class="row text-light">
			<div class="col bg-primary pt-3 pb-3 border border-dark">Auto</div>
			<div class="col bg-secondary pt-3 pb-3 border border-dark">Auto</div>
			<div class="col bg-primary pt-3 pb-3 border border-dark">Auto</div>
			<div class="col bg-secondary pt-3 pb-3 border border-dark">Auto</div>
			<div class="col bg-primary pt-3 pb-3 border border-dark">Auto</div>
		</div>
	</div>

	<!-- 
		CSS BREAKPOINTS:
			sm (default and smartphones) - greater than or equal to 576px
			md (regular ipad/tablet) - greater than or equal to 768px
			lg (desktop/laptop screen) - greater than or equal to 992px
			xl (TV/larger screens) - greater than or equal to 1200px
	-->

	<h2>Mobile Responsive Column</h2>

	<div class="container-fluid">
		<div class="row text-light">
			<div class="col-sm-6 bg-primary pt-3 pb-3 border border-dark">Responsive for SM screen</div>
			<div class="col-sm-6 col-md-8 col-lg-10 bg-secondary pt-3 pb-3 border border-dark">Responsive</div>
		</div>
		
	</div>

	<h2>Multi-Column Layouts</h2>

	<div class="container-fluid">
		<div class="row text-light">
			<div class="col-4 bg-primary pt-3 pb-3 border border-dark">Catalog 1</div>
			<div class="col-4 bg-secondary pt-3 pb-3 border border-dark">Catalog 2</div>
			<div class="col-4 bg-primary pt-3 pb-3 border border-dark">Catalog 3</div>
			<div class="col-4 bg-secondary pt-3 pb-3 border border-dark">Catalog 4</div>
			<div class="col-4 bg-primary pt-3 pb-3 border border-dark">Catalog 5</div>
			<div class="col-4 bg-secondary pt-3 pb-3 border border-dark">Catalog 6</div>		
		</div>
	</div>

	<h2>OffSettings Columns</h2>
	<!-- 
			- "offset" class it allows to create a specified amount of space from the left side of a layer
	-->

	<div class="container-fluid">
		<div class="row text-light">
			<div class="offset-2 col-6 bg-primary pt-3 pb-3 border border-dark">Offset Column 2</div>
			<div class="offset-md-3 col-6 bg-primary pt-3 pb-3 border border-dark">Offset Column md-3</div>
			<div class="offset-lg-4 col-6 bg-primary pt-3 pb-3 border border-dark">Offset Column lg-4</div>
		</div>
		
	</div>

	 <!-- 
		- The "order-" class allows us to interchange the order in which elements are displayed.
	-->

	<h2>Column Orders</h2>
	<div class="container-fluid">
		<div class="row text-light">
			<div class="col order-2 order-md-1 bg-primary pt-3 pb-3 border border-dark">Left</div>
			<div class="col order-1 order-md-2 bg-secondary pt-3 pb-3 border border-dark">Right</div>
		</div>
	</div>

	<!-- BOOTSCRAP SCRIPT -->

	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>



</body>
</html>